Subject: Re: cygwin and InterBase 6.0
From: [email-masked]
To: Horák Daniel <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Oct 2000 17:28:43 +0330 (GMT+03:30)

Hi,

 I've not tried InterBase 6 yet. But I would guess that this might be an alignment problem. Or maybe the size a enum type. I don't know how to set that in gcc. And I don't remember what is default in VC++ 6 or C++Builder.

 Jens Yllman

>Hello,
>
>I have a problem with linking InterBase client library with my program. I
>was not able to use their import libraries (the MS C version uses a strange
>first character (a small house?) in the symbol name) so I must link directly
>with gds32.dll (the shared client library). And the problem is that when I
>call isc_dsql_describe() function (from IB client API) my programs crashes
>(with message from cygwin about "possibly corrupted stack"). I cannot say
>that it really corrupts the stack but it corrupts data structures that are
>passed into this function. But some other functions are working as expected.
>Can this crash be caused by a wrong use of exported data from the DLL?
>
>Has anybody experiences with Cygwin and InterBase?
>
>cygwin 1.1.4
>binutils 20000722-1
>gcc 2.95.2-2
>InterBase 6.01
>
>I can send all the code (it is free) and also more details. It is a driver
>based library for accessing DB servers and it is inspired by Perl DBI.
>
>		Dan Horak
>
>----------------------------------------------
>Daniel Horak
>network and system administrator
>e-mail: [email-masked]
>privat e-mail: [email-masked] ICQ:36448176
>----------------------------------------------
>
>--
>Want to unsubscribe from this list?
>Send a message to [email-masked]
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]